Bug 1368827 - optimizing the gluster volume from UI should set the network.ping-timeout value to 30 seconds
Summary: optimizing the gluster volume from UI should set the network.ping-timeout val...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.0.2.7
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2016-08-21 17:24 UTC by SATHEESARAN
Modified: 2017-02-15 14:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 14:49:36 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
sabose: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 69038 master MERGED engine: Fixing network-timeout value on gluster volume 2016-12-27 12:23:55 UTC
oVirt gerrit 69180 ovirt-engine-4.1 MERGED engine: Fixing network-timeout value on gluster volume 2017-01-05 16:09:05 UTC

Description SATHEESARAN 2016-08-21 17:24:28 UTC
Description of problem:
-----------------------
Optimizing the gluster volume for virt store from RHV UI, set the network.ping-timeout value to 10 seconds. This value is too less, so that with more VMs, one may see hearbeat exceeded problems. The recommended value for network.ping-timeout is 30 seconds


Version-Release number of selected component (if applicable):
--------------------------------------------------------------
RHV 4.0.2-7


How reproducible:
------------------
Always

Steps to Reproduce:
-------------------
1. Create a gluster replica 3 volume
2. Optimize the volume for virt-store by clicking 'Optimize for virt-store' tab under the 'volumes' tab


Actual results:
---------------
network.ping-timeout value is set to 10 seconds

Expected results:
------------------
network.ping-timeout value should be set to 30 seconds

Comment 1 SATHEESARAN 2016-08-21 17:25:51 UTC
After optimizing the volume for virt-store from RHV UI, the volume options looks as follows :

[root@ ~]# gluster volume info
 
Volume Name: rep3vol
Type: Replicate
Volume ID: 6ca6c874-350f-488b-aae0-ca0aae11bc2f
Status: Created
Number of Bricks: 1 x 3 = 3
Transport-type: tcp
Bricks:
Brick1: node1.redhat.com:/rhgs/brick1/brick1
Brick2: node2.redhat.com:/rhgs/brick1/brick1
Brick3: node3.redhat.com:/rhgs/brick1/brick1
Options Reconfigured:
network.ping-timeout: 10
server.allow-insecure: on
storage.owner-gid: 36
storage.owner-uid: 36
cluster.server-quorum-type: server
cluster.quorum-type: auto
network.remote-dio: enable
cluster.eager-lock: enable
performance.stat-prefetch: off
performance.io-cache: off
performance.read-ahead: off
performance.quick-read: off
auth.allow: *
user.cifs: disable
nfs.disable: on
performance.readdir-ahead: on

Comment 3 Sahina Bose 2016-12-16 06:07:47 UTC
Is the network.ping-timeout set to 30 seconds in group virt of gluster?

Comment 4 SATHEESARAN 2016-12-20 07:46:49 UTC
(In reply to Sahina Bose from comment #3)
> Is the network.ping-timeout set to 30 seconds in group virt of gluster?

Sahina,

No. Its not the part of the group virt.

I think the value of ping-timeout=10secs is burned (hard-coded) somewhere in the vdsm code

Comment 5 SATHEESARAN 2017-02-08 17:51:58 UTC
Tested with RHV 4.1 beta1 ( Red Hat Virtualization Manager Version: 4.1.0.3-0.1.el7 )

When the volume optimized for virt-store, the volume option 'network.ping-timeout' was set to 30 seconds now


Note You need to log in before you can comment on or make changes to this bug.